(function() {
	/********************************
	 * Accelerometer(Shake)
	 * シェイクジェスチャーを監視する
	 ********************************/

	/*
	 * シェイクジェスチャーの監視を開始
	 */
	watchShake = function() {
		applican.accelerometer.watchShake(shakeSuccess);
		document.getElementById("dumpAreaShake").value = "シェイクの監視を開始しました\n";
	};

	/*
	 * シェイクを検知した時のコールバック
	 */
	shakeSuccess = function() {
		var dump = "シェイク発生（時刻：" + parseInt((new Date()) / 1000) + "）\n";
		document.getElementById("dumpAreaShake").value += dump;
	};

	/*
	 * シェイクジェスチャーの監視を終了
	 */
	clearWatchShake = function() {
		applican.accelerometer.clearWatchShake();
		document.getElementById("dumpAreaShake").value = "シェイクの監視を終了しました";
	};

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		//「シェイク監視開始」ボタン押下時の処理
		document.getElementById("watchShakeBtn").addEventListener("click", watchShake, false);
		//「シェイク監視終了」ボタン押下時の処理
		document.getElementById("clearWatchShakeBtn").addEventListener("click", clearWatchShake, false);
	}, false);
})();
